package cn.org.bjca.trust.android.lib.im.manager;

import cn.org.bjca.trust.android.lib.im.enums.MsgType;
import cn.org.bjca.trust.android.lib.im.im.IMHelper;
import cn.org.bjca.trust.android.lib.im.im.msg.message.SZYXMessage;
import cn.org.bjca.trust.android.lib.im.im.msg.message.SZYXTextMessage;
import cn.org.bjca.trust.android.lib.im.kit.IMSDKCallback;
import cn.org.bjca.trust.android.lib.im.kit.MsgListener;
import cn.org.bjca.trust.android.lib.im.kit.SdkMsgInterface;

public class SZYXMessageManager implements SdkMsgInterface {


    @Override
    public void addMsgListener(MsgListener listener) {
        IMHelper.getInstance().addMsgListener(listener);
    }

    @Override
    public void removeMsgListener(MsgListener listener) {
        IMHelper.getInstance().removeMsgListener(listener);
    }

    @Override
    public SZYXMessage sendMsgForTextToC(String toUserId, String text, IMSDKCallback callback) {
        SZYXTextMessage textMessage = new SZYXTextMessage(text);

        SZYXMessage szyxMessage = IMHelper.getInstance().createMsg(MsgType.Text, toUserId, false, textMessage, null);

        IMHelper.getInstance().sendSZYXMessage(szyxMessage, callback);
        return szyxMessage;
    }

    @Override
    public SZYXMessage sendMsgForTextToG(String toGroupId, String text, IMSDKCallback callback) {
        SZYXTextMessage textMessage = new SZYXTextMessage(text);

        SZYXMessage szyxMessage = IMHelper.getInstance().createMsg(MsgType.Text, toGroupId, true, textMessage, null);

        IMHelper.getInstance().sendSZYXMessage(szyxMessage, callback);
        return szyxMessage;
    }
}
