package cn.org.bjca.trust.android.lib.im.request;

import cn.org.bjca.trust.android.lib.im.common.json.GsonImplHelp;
import cn.org.bjca.trust.android.lib.im.http.HttpResult;
import cn.org.bjca.trust.android.lib.im.im.IMHelper;
import cn.org.bjca.trust.android.lib.im.im.kit.RequestImCallback;
import cn.org.bjca.trust.android.lib.im.im.msg.RequestMessage;
import cn.org.bjca.trust.android.lib.im.im.msg.ResultMessage;

public class RequestManager implements RequestInterface {


    public <T> void request(String path, Object data, RequestCallback<T> callback) {

        RequestMessage rm = new RequestMessage(path, GsonImplHelp.get().toJson(data));

        IMHelper.getInstance().request(rm, new RequestImCallback() {

            @Override
            public void success(ResultMessage message) {
                HttpResult<T> h = GsonImplHelp.get().toObject(message.getBody(), HttpResult.class);
                if (h.getCode() == 200) {
                    callback.success(h);
                } else {
                    callback.failed(h.getCode(), h.getMsg());
                }
            }

            @Override
            public void failed(int code, String error) {
                if (null != callback) {
                    callback.standby(new RequestCallback<T>() {
                        @Override
                        public void success(HttpResult<T> result) {
                            callback.success(result);
                        }

                        @Override
                        public void failed(int code, String error) {
                            callback.failed(code, error);
                        }

                        @Override
                        public void standby(RequestCallback<T> imCallback) {

                        }
                    });

                }
            }

        });
    }

}
