package cn.org.bjca.trust.android.imdemo.ui;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;

import com.xuqm.base.adapter.BasePagedAdapter;
import com.xuqm.base.adapter.CommonPagedAdapter;
import com.xuqm.base.adapter.ViewHolder;
import com.xuqm.base.common.LogHelper;
import com.xuqm.base.ui.BaseListActivity;

import java.util.ArrayList;

import cn.org.bjca.trust.android.imdemo.R;
import cn.org.bjca.trust.android.imdemo.data.item.UserItem;
import cn.org.bjca.trust.android.imdemo.vm.GroupVM;
import cn.org.bjca.trust.android.lib.im.SZYXImSdk;
import cn.org.bjca.trust.android.lib.im.common.ToolsHelper;
import cn.org.bjca.trust.android.lib.im.kit.IMSDKCallback;

public class GroupsActivity extends BaseListActivity<UserItem, GroupVM> {
    @Override
    public void initView(Bundle savedInstanceState) {
        super.initView(savedInstanceState);
        setTitleText("群组列表");
        setConfirmText("创建群组", v -> {
            SZYXImSdk.getGroupManager().create(new ArrayList<String>() {
                {
                    add("13666666666");
                    add("13811111111");
                }
            }, new IMSDKCallback() {
                @Override
                public void success() {
                    ToolsHelper.showMessage(mContext, "创建成功");
                }

                @Override
                public void failed(int code, String error) {
                    ToolsHelper.showMessage(mContext, "创建失败" + code + error);
                    LogHelper.e("=====>", "创建失败" + code + error);
                }
            });
        });
    }

    @Override
    public void itemClicked(View view, UserItem item, int position) {
        Intent intent = new Intent(mContext, ChatActivity.class);
        intent.putExtra("userId", item.getUserId());
        intent.putExtra("userName", item.getNickName());
        intent.putExtra("isGroup", true);
        startActivity(intent);
    }

    @Override
    public BasePagedAdapter<UserItem> adapter() {
        return adapter;
    }

    private final CommonPagedAdapter<UserItem> adapter = new CommonPagedAdapter<UserItem>(R.layout.item_friends) {
        @Override
        protected void convert(ViewHolder holder, UserItem item, int position) {
            holder.setText(R.id.title, item.getNickName());
            holder.setImage(R.id.icon, item.getFaceUrl());
        }

    };

}
